Install our app Click on the icon in the top right of the address bar.

Personal notifications

GET https://pulse.pylogix.com/api/personal-notifications/
curl --request GET \
--url 'https://pulse.pylogix.com/api/personal-notifications/' \
--header 'Authorization: Bearer {api_key}' \
Request Parameters Details Description
page Optional Parameter Integer (Number) Page Number
results_per_page Optional Parameter Integer (Number) Results per Page
{ "data": [ { "id": 1, "user_id": 1, "website_id": 1, "subscriber_id": 1, "name": "API Sample", "title": "Sample message", "description": "This is coming from the API.", "url": "https://example.com", "image_url": null, "settings": { "is_scheduled": 0, "ttl": 2419200, "urgency": "normal", "is_silent": 0, "is_auto_hide": 0, "button_title_1": "", "button_url_1": "", "button_title_2": "", "button_url_2": "" }, "is_sent": 1, "is_displayed": 1, "is_clicked": 0, "is_closed": 0, "status": "sent", "scheduled_datetime": "2024-08-02 17:00:43", "sent_datetime": "2024-08-02 17:00:43", "last_datetime": null, "datetime": "2026-11-09 18:15:47" } ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://pulse.pylogix.com/api/personal-notifications?&page=1", "last": "https://pulse.pylogix.com/api/personal-notifications?&page=1", "next": null, "prev": null, "self": "https://pulse.pylogix.com/api/personal-notifications?&page=1" } }
GET https://pulse.pylogix.com/api/personal-notifications/{personal_notification_id}
curl --request GET \
--url 'https://pulse.pylogix.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "user_id": 1, "website_id": 1, "subscriber_id": 1, "name": "API Sample", "title": "Sample message", "description": "This is coming from the API.", "url": "https://example.com", "image_url": null, "settings": { "is_scheduled": 0, "ttl": 2419200, "urgency": "normal", "is_silent": 0, "is_auto_hide": 0, "button_title_1": "", "button_url_1": "", "button_title_2": "", "button_url_2": "" }, "is_sent": 1, "is_displayed": 1, "is_clicked": 0, "is_closed": 0, "status": "sent", "scheduled_datetime": "2024-08-02 17:00:43", "sent_datetime": "2024-08-02 17:00:43", "last_datetime": null, "datetime": "2026-11-09 18:15:47" } }
POST https://pulse.pylogix.com/api/personal-notifications
Request Parameters Details Description
website_id Required Parameter Integer (Number) -
subscriber_id Required Parameter Integer (Number) -
name Required Parameter Text (String) -
title Required Parameter Text (String) -
description Required Parameter Text (String) -
url Optional Parameter Text (String) -
image Optional Parameter File Upload -
button_title_1 Optional Parameter Text (String) -
button_url_1 Optional Parameter Text (String) -
button_title_2 Optional Parameter Text (String) -
button_url_2 Optional Parameter Text (String) -
is_scheduled Optional Parameter Boolean (True/False) -
scheduled_datetime Optional Parameter Text (String) -
is_silent Optional Parameter Boolean (True/False) -
is_auto_hide Optional Parameter Boolean (True/False) -
ttl Optional Parameter Text (String) Allowed values: 0 , 900 , 1800 , 3600 , 10800 , 21600 , 43200 , 86400 , 259200 , 432000 , 604800 , 1209600 , 2419200
utm_source Optional Parameter Text (String) -
utm_medium Optional Parameter Text (String) -
utm_campaign Optional Parameter Text (String) -
save Optional Parameter Boolean (True/False) Save draft
send Optional Parameter Boolean (True/False) Send personal notification
curl --request POST \
--url 'https://pulse.pylogix.com/api/personal-notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{ "data": { "id": 1 } }
POST https://pulse.pylogix.com/api/personal-notifications/{personal_notification_id}
Request Parameters Details Description
website_id Optional Parameter Integer (Number) -
subscriber_id Optional Parameter Integer (Number) -
name Optional Parameter Text (String) -
title Optional Parameter Text (String) -
description Optional Parameter Text (String) -
url Optional Parameter Text (String) -
image Optional Parameter File Upload -
button_title_1 Optional Parameter Text (String) -
button_url_1 Optional Parameter Text (String) -
button_title_2 Optional Parameter Text (String) -
button_url_2 Optional Parameter Text (String) -
is_scheduled Optional Parameter Boolean (True/False) -
scheduled_datetime Optional Parameter Text (String) -
is_silent Optional Parameter Boolean (True/False) -
is_auto_hide Optional Parameter Boolean (True/False) -
ttl Optional Parameter Text (String) Allowed values: 0 , 900 , 1800 , 3600 , 10800 , 21600 , 43200 , 86400 , 259200 , 432000 , 604800 , 1209600 , 2419200
utm_source Optional Parameter Text (String) -
utm_medium Optional Parameter Text (String) -
utm_campaign Optional Parameter Text (String) -
save Optional Parameter Boolean (True/False) Save draft
send Optional Parameter Boolean (True/False) Send personal notification
curl --request POST \
--url 'https://pulse.pylogix.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{ "data": { "id": 1 } }
DELETE https://pulse.pylogix.com/api/personal-notifications/{personal_notification_id}
curl --request DELETE \
--url 'https://pulse.pylogix.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \